#!/bin/sh
#-----------------------------------------------|
#       REBOOTER SCRIPT TO SAMPLE MACOS         |
#-----------------------------------------------|

SAMPLE=500
FILE=counter.txt
SAMPLER_NAME=main.py
STOP=4000
#----------------------------------------
SCRIPT=$(readlink -f "$0")
# Absolute path this script is in, thus /home/user/bin
SCRIPT_PATH=$(dirname "$SCRIPT")
cd "$SCRIPT_PATH" || exit

#check the kill switch
if ! test -f "$FILE"
then
    echo "$FILE not exists."
    exit
fi

#load counter locally
COUNT=$(cat $FILE)

#check if we completed the sampling job
#IF true we stop the script
if [ $COUNT -lt $STOP ]
then
  echo "SAMPLING FINISHED"
  exit
fi

# otherwise we run the sample and then reboot
# fist we move the directory to the script location

cd ../.. || exit

python3 $SAMPLER_NAME $SAMPLE 3 $COUNT 0 &
python3 $SAMPLER_NAME $SAMPLE 3 $COUNT 1 &
wait

cd ./REBOOTER/rebooter_MacOS || exit
echo "remaining reboot: "$COUNT
COUNT=$((COUNT-1))
echo $COUNT > counter.txt

#check if we have remaining sample
if [ $COUNT -lt $STOP ]
then
  echo "SAMPLING FINISHED"
  exit
fi

#finally we reboot
cat .pass |sudo -S reboot now



