import sys

from subcls import config
from subcls.linux_sampler import *
from subcls.macos_sampler import *
from subcls.windows_sampler import *


def build_sampler():

    curr_system = platform.system()

    if curr_system == "Darwin":
        return MacosSampler()

    if curr_system == "Windows":
        return WindowsSampler()

    if curr_system == "Linux":
        return LinuxSampler()





def main():
    sampler = build_sampler()
    if len(sys.argv) == 4:
        sampler.quick_init(int(sys.argv[1]), int(sys.argv[2]), int(sys.argv[3]))
    elif len(sys.argv) == 5:
        sampler.quick_init(int(sys.argv[1]), int(sys.argv[2]), int(sys.argv[3]), int(sys.argv[4]))
    else:
        sampler.ask_initial_param()

    sampler.get_initial_param()
    sampler.initialize_all()
    sampler.start_sampling()




if __name__ == "__main__":  # confirms that the code is under main function
    main()